Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.soap.server.impl
Class BaseConfigManager

    java.lang.Object
      |
      +--oracle.soap.server.impl.BaseConfigManager

All Implemented Interfaces:
  ConfigManager

Direct Known Subclasses:
  BinaryProviderConfigManager, BinaryServiceConfigManager, XMLProviderConfigManager, XMLServiceConfigManager

public abstract class BaseConfigManager
extends java.lang.Object
implements ConfigManager

BaseConfigManager provides a standard implementation of most of the ConfigManager interface thus simplifying the implementation of a custom configuration manager. A custom configuration manager implementation can extend this abstract class and implement the `setOptions`, `readRegistry`, and `writeRegistry` methods.

Field Summary
`protected javax.servlet.ServletContext` | `m_context`
`protected java.lang.String[]` | `m_namesCache`
`protected java.util.Hashtable` | `m_registry`

Constructor Summary
`BaseConfigManager()`

Method Summary
`void` | `deploy(DeploymentDescriptor dd)` Deploy the given service.
`void` | `init()` Initialize the service manager.
`java.lang.String[]` | `list(int reservedEntries)` Get a list of service ids for all services that have been deployed, regardless of the provider.
`DeploymentDescriptor` | `query(java.lang.String id)` Get the deployment descriptor for the given service.
`abstract void` | `readRegistry()` Load the deployed descriptors from the registry
`void` | `setContext(javax.servlet.ServletContext context)` Set the servlet context
`DeploymentDescriptor` | `undeploy(java.lang.String id)` Undeploy the entity identified by its ID and return its descriptor.
`abstract void` | `writeRegistry()` Save the deployed descriptors to the registry

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.soap.server.ConfigManager
`setOptions`

Field Detail

### m_registry

    protected java.util.Hashtable m_registry

### m_namesCache

    protected java.lang.String[] m_namesCache

### m_context

    protected javax.servlet.ServletContext m_context

Constructor Detail

### BaseConfigManager

    public BaseConfigManager()

Method Detail

### setContext

    public void setContext(javax.servlet.ServletContext context)

  Set the servlet context
  Specified by:
    `setContext` in interface `ConfigManager`
  Parameters:
    `context` - The servlet context.

### init

    public void init()
              throws SOAPException

  Initialize the service manager. The implementation should be able to handle a `null` value for the provider manager.
  Specified by:
    `init` in interface `ConfigManager`
  Throws:
    `SOAPException` - Unable to access the service deployment information.

### undeploy

    public DeploymentDescriptor undeploy(java.lang.String id)
                                  throws SOAPException

  Undeploy the entity identified by its ID and return its descriptor.
  Specified by:
    `undeploy` in interface `ConfigManager`
  Parameters:
    `id` - The URI of the service to undeploy.
  Returns:
    The descriptor containing the deployment information for the entity that has been undeployed.
  Throws:
    `SOAPException` - If the descriptor is not found or failed to undeploy.

### deploy

    public void deploy(DeploymentDescriptor dd)
                throws SOAPException

  Deploy the given service.
  Specified by:
    `deploy` in interface `ConfigManager`
  Parameters:
    `dd` - The descriptor for the service to deploy.
  Throws:
    `SOAPException` - If unable to deploy.

### query

    public DeploymentDescriptor query(java.lang.String id)
                               throws SOAPException

  Get the deployment descriptor for the given service.
  Specified by:
    `query` in interface `ConfigManager`
  Returns:
    The descriptor containing the deployment information for the given service.
  Throws:
    `SOAPException` - If the service is not found.

### list

    public java.lang.String[] list(int reservedEntries)
                            throws SOAPException

  Get a list of service ids for all services that have been deployed, regardless of the provider.
  Specified by:
    `list` in interface `ConfigManager`
  Parameters:
    `reservedEntries` - The number of unused entries at the front of the returned array that are are reserved for use by the caller.
  Returns:
    An array of deployed service ids.
  Throws:
    `SOAPException` - Unable to list service ids.

### readRegistry

    public abstract void readRegistry()
                               throws SOAPException

  Load the deployed descriptors from the registry
    `SOAPException`

### writeRegistry

    public abstract void writeRegistry()
                                throws SOAPException

  Save the deployed descriptors to the registry
    `SOAPException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.